summaryrefslogtreecommitdiff
path: root/tests/misc
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc')
-rwxr-xr-xtests/misc/csplit4
-rwxr-xr-xtests/misc/head-c4
-rwxr-xr-xtests/misc/head-pos4
-rwxr-xr-xtests/misc/pathchk14
-rwxr-xr-xtests/misc/split-a4
5 files changed, 10 insertions, 10 deletions
diff --git a/tests/misc/csplit b/tests/misc/csplit
index 2d04fee7f..5ea8a6aef 100755
--- a/tests/misc/csplit
+++ b/tests/misc/csplit
@@ -19,7 +19,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -86,4 +86,4 @@ EOF
cmp err experr || fail=1
test $fail = 1 && diff err experr 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/misc/head-c b/tests/misc/head-c
index 14f2a2f09..bd899aff4 100755
--- a/tests/misc/head-c
+++ b/tests/misc/head-c
@@ -18,7 +18,7 @@ echo abc > in || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -29,4 +29,4 @@ case "`cat out`" in
*) fail=1 ;;
esac
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/misc/head-pos b/tests/misc/head-pos
index 403dde627..a8791f2e9 100755
--- a/tests/misc/head-pos
+++ b/tests/misc/head-pos
@@ -19,7 +19,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -31,4 +31,4 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/misc/pathchk1 b/tests/misc/pathchk1
index ecc131f4a..5735b4e67 100755
--- a/tests/misc/pathchk1
+++ b/tests/misc/pathchk1
@@ -20,7 +20,7 @@ touch file || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -29,4 +29,4 @@ fail=0
# but exited successfully.
pathchk file/x > /dev/null 2>&1 && fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/misc/split-a b/tests/misc/split-a
index c35cf35e0..a9940b71f 100755
--- a/tests/misc/split-a
+++ b/tests/misc/split-a
@@ -17,7 +17,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -74,4 +74,4 @@ EOF
cmp err exp || fail=1
test $fail = 1 && diff err exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail